{"id":18077,"date":"2018-11-24T07:51:44","date_gmt":"2018-11-24T07:51:44","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-1\/?post_type=docs&#038;p=15521"},"modified":"2021-03-18T11:26:08","modified_gmt":"2021-03-18T11:26:08","slug":"import-roles-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-1\/docs\/bots\/api-guide\/import-roles-api\/","title":{"rendered":"Import Roles API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To import bot or admin roles into an account. This is typically used to import roles from one environment to another.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Role Management<\/em> under <em>Role Management<\/em>.<\/p>\n<p><b>POST <\/b><code>https:\/\/{{host}}\/api\/public\/roles\/import?roleType=bot&amp;fullImport=true<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>roleType<\/td>\n<td>Required<\/td>\n<td>The role type to import:<\/p>\n<ul>\n<li><strong>admin<\/strong> or<\/li>\n<li><strong>bot<\/strong><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>fullImport<\/td>\n<td>Optional<\/td>\n<td>\n<ul>\n<li><strong style=\"font-family: inherit;font-size: inherit\">&#8216;true<\/strong><span style=\"font-family: inherit;font-size: inherit\">&#8216; for full import and <\/span><\/li>\n<li><span style=\"font-family: inherit;font-size: inherit\">&#8216;<\/span><strong style=\"font-family: inherit;font-size: inherit\">false<\/strong><span style=\"font-family: inherit;font-size: inherit\">&#8216; for incremental import.<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>fileId<\/td>\n<td>Required<\/td>\n<td>The ID of the import file (provided by the cloud service where the file is uploaded).<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  'https:\/\/{{host}}\/api\/public\/roles\/import?roleType=admin&amp;fullImport=true' \\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -d '{\r\n\"fileId\":\"{{fileId}}\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>[\r\n    {\r\n        \"mapping\": {\r\n            \"users\": [],\r\n            \"groups\": [],\r\n            \"bots\": []\r\n        },\r\n        \"roleType\": \"admin\",\r\n        \"rStatus\": \"unpublished\",\r\n        \"isASystemRole\": false,\r\n        \"category\": \"admin\",\r\n        \"audit\": [],\r\n        \"_userAndGroups\": [],\r\n        \"isDefault\": false,\r\n        \"_id\": \"5bf132388c4f4e433d46783b\",\r\n        \"orgId\": \"o-d52dc1a4-8ef6-5fbf-943a-b572b469ec3b\",\r\n        \"role\": \"CustomAdmin1\",\r\n        \"createdDate\": \"2018-11-18T09:34:48.501Z\",\r\n        \"createdBy\": \"u-66bb4537-6a44-5127-b6e2-c97e4e66d5b7\",\r\n        \"modifiedDate\": \"2018-11-18T09:34:48.501Z\",\r\n        \"modifiedBy\": \"u-66bb4537-6a44-5127-b6e2-c97e4e66d5b7\",\r\n        \"permissions\": {\r\n            \"Invite\": \"YES\",\r\n            \"Import Users \/ Sync\": \"NO\",\r\n            \"Directory Sync\": \"NO\",\r\n            \"Manage Users\": \"NO\",\r\n            \"Manage User Settings\": \"NO\",\r\n            \"Manage Groups\": \"NO\",\r\n            \"Manage Custom Admin Roles\": \"NO\",\r\n            \"Manage Built-In Admin Roles\": \"NO\",\r\n            \"Manage Bot Roles\": \"NO\",\r\n            \"Manage Deployment\": \"NO\",\r\n            \"Enterprise Bots\": \"NO\",\r\n            \"Consumer Bots\": \"NO\",\r\n            \"Smart Bots\": \"NO\",\r\n            \"Preferences\": \"NO\",\r\n            \"Single Sign On\": \"NO\",\r\n            \"Kore.ai Connector\": \"NO\",\r\n            \"Enterprise Key\": \"NO\",\r\n            \"API Scopes\": \"NO\",\r\n            \"View and Run Audit Reports\": \"NO\",\r\n            \"View and Run Bot Chat History\": \"NO\"\r\n        },\r\n        \"rDesc\": \"\",\r\n        \"refId\": \"a287e9fb-ea34-5835-a4c5-0c9a9d6136e0\",\r\n        \"_product\": \"Bots\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"mapping\": {\r\n            \"users\": [],\r\n            \"groups\": [],\r\n            \"bots\": []\r\n        },\r\n        \"roleType\": \"admin\",\r\n        \"rStatus\": \"unpublished\",\r\n        \"isASystemRole\": false,\r\n        \"category\": \"admin\",\r\n        \"audit\": [],\r\n        \"_userAndGroups\": [],\r\n        \"isDefault\": false,\r\n        \"_id\": \"5bf132388c4f4e433d46783c\",\r\n        \"orgId\": \"o-d52dc1a4-8ef6-5fbf-943a-b572b469ec3b\",\r\n        \"role\": \"CA2\",\r\n        \"createdDate\": \"2018-11-18T09:34:48.501Z\",\r\n        \"createdBy\": \"u-66bb4537-6a44-5127-b6e2-c97e4e66d5b7\",\r\n        \"modifiedDate\": \"2018-11-18T09:34:48.501Z\",\r\n        \"modifiedBy\": \"u-66bb4537-6a44-5127-b6e2-c97e4e66d5b7\",\r\n        \"permissions\": {\r\n            \"Invite\": \"NO\",\r\n            \"Import Users \/ Sync\": \"NO\",\r\n            \"Directory Sync\": \"YES\",\r\n            \"Manage Users\": \"YES\",\r\n            \"Manage User Settings\": \"NO\",\r\n            \"Manage Groups\": \"NO\",\r\n            \"Manage Custom Admin Roles\": \"NO\",\r\n            \"Manage Built-In Admin Roles\": \"NO\",\r\n            \"Manage Bot Roles\": \"YES\",\r\n            \"Manage Deployment\": \"YES\",\r\n            \"Enterprise Bots\": \"YES\",\r\n            \"Consumer Bots\": \"YES\",\r\n            \"Smart Bots\": \"YES\",\r\n            \"Preferences\": \"NO\",\r\n            \"Single Sign On\": \"NO\",\r\n            \"Kore.ai Connector\": \"NO\",\r\n            \"Enterprise Key\": \"NO\",\r\n            \"API Scopes\": \"NO\",\r\n            \"View and Run Audit Reports\": \"YES\",\r\n            \"View and Run Bot Chat History\": \"YES\"\r\n        },\r\n        \"rDesc\": \"\",\r\n        \"refId\": \"86ccb9c3-f63b-5a7e-be8b-dc9ee9748940\",\r\n        \"_product\": \"Bots\",\r\n        \"__v\": 0\r\n    }\r\n]<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To import bot or admin roles into an account. This is typically used to import roles from one environment to another. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Role Management under Role Management. POST https:\/\/{{host}}\/api\/public\/roles\/import?roleType=bot&amp;fullImport=true Query Parameters...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18077","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/18077","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/comments?post=18077"}],"version-history":[{"count":7,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/18077\/revisions"}],"predecessor-version":[{"id":22561,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/18077\/revisions\/22561"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/media?parent=18077"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/categories?post=18077"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/tags?post=18077"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}